/*****************************************************************************/
/*
                                 Proxy.h

08-AUG-1998  MGD  initial
*/
/*****************************************************************************/

#ifndef PROXY_H_LOADED
#define PROXY_H_LOADED 1

#include "proxystruct.h"

/*#   define PROXY_ERROR_HOST_UNKNOWN       0x000182b2*/
    /* this is an SS$_ENDOFFILE */
#define PROXY_ERROR_HOST_UNKNOWN       0x00000870
#define PROXY_ERROR_CONNECT_REFUSED    0x00000294
#define PROXY_ERROR_HOST_UNREACHABLE   0x00002094
#define PROXY_ERROR_HOST_DISCONNECTED  0x0000207c

#define PROXY_HOST_CACHE_PURGE_DEFAULT 24

/***********************/
/* function prototypes */
/***********************/

ProxyCloseSocket (PROXY_TASK*);
ProxyEnd (PROXY_TASK*);
ProxyEndClientShutdownAst (REQUEST_STRUCT*);
ProxyEndProxyShutdownAst (PROXY_TASK*);
int ProxyHostConnect (PROXY_TASK*);
ProxyHostConnectAst (PROXY_TASK*);
ProxyHttpConnectNetReadAst (REQUEST_STRUCT*);
ProxyHttpConnectNetWriteAst (REQUEST_STRUCT*);
ProxyHttpConnectParse (REQUEST_STRUCT*);
ProxyHttpConnectProxyReadAst (PROXY_TASK*);
ProxyHttpConnectProxyWriteAst (PROXY_TASK*);
ProxyWriteRequestAst (PROXY_TASK*);
ProxyReadResponseAst (PROXY_TASK*);
ProxyReadResponseCacheWrite (PROXY_TASK*);
ProxyReadResponseCacheWriteAst (PROXY_TASK*);
ProxyRequestParse (REQUEST_STRUCT*);
ProxyResolveHost (PROXY_TASK*);
int ProxyResolveHostCache (REQUEST_STRUCT*, char*, int);
ProxyResolveHostLookup (PROXY_TASK*);
ProxyResponseNetWrite (PROXY_TASK*);
ProxyResponseNetWriteAst (REQUEST_STRUCT*);
ProxyReadCacheFailed (PROXY_TASK*);
int ProxyRequestBegin (REQUEST_STRUCT*);
int ProxyRequestParse (REQUEST_STRUCT*);
ProxyReadRawAst (PROXY_TASK*);
ProxyWriteRawAst (PROXY_TASK*);

#endif /* PROXY_H_LOADED */

/*****************************************************************************/

