/*****************************************************************************/
/*
                                 version.c

Merely generate software ID and build information strings.


??-???-2000  MGD  v7.0.0
18-MAR-2000  MGD  v6.1.3
06-JAN-2000  MGD  v6.1.2
17-DEC-1999  MGD  v6.1.1
10-OCT-1999  MGD  moved from HTTPD.C for v6.1
*/
/*****************************************************************************/

#include <stdio.h>
#include <ctype.h>

#include "wasd.h"

#ifdef __ALPHA
#  define HTTPD_ARCH "AXP"
#else
#  define HTTPD_ARCH "VAX"
#endif

#ifndef BUILD_DATETIME
#  define BUILD_DATETIME __DATE__ " " __TIME__
#endif

/******************/
/* global storage */
/******************/

int   HttpdGblSecVersion  = HTTPD_GBLSEC_VERSION;

char  BuildInfo [64],
      HttpdName [] = HTTPD_NAME,
      HttpdSoftwareIdName [] = HTTPD_SOFTWAREID_NAME,
      HttpdVersion [] = HTTPD_VERSION,
      SoftwareID [128];

/********************/
/* external storage */
/********************/

extern char  HttpdSesola[];

/*****************************************************************************/
/*
*/

VersionInfo ()

{
   register char  *cptr, *sptr;

   /*********/
   /* begin */
   /*********/

   /* software ID can be specified on the command line! */
   if (!SoftwareID[0])
      sprintf (SoftwareID, "%s/%s OpenVMS/%s%s",
               HttpdSoftwareIdName, HttpdVersion, HTTPD_ARCH, HttpdSesola);

   sprintf (BuildInfo, "%s VMS %s DECC %d%s",
            BUILD_DATETIME, __VMS_VERSION+1, __DECC_VER,
            OPERATE_WITH_SYSPRV ? " [/SYSPRV]" : "");

   /* compress white-space */
   cptr = sptr = BuildInfo;
   while (*cptr)
   {
      if (*cptr == ' ')
      {
         *sptr++ = *cptr++;
         while (*cptr == ' ') cptr++;
      }
      else
         *sptr++ = *cptr++;
   }
   *sptr = '\0';
} 

/*****************************************************************************/

